# Uses of Class
org.h2gis.functions.io.shp.internal.ShapefileException

Packages that use ShapefileException
Package
Description
org.h2gis.functions.io.shp.internal

## Uses of ShapefileException in org.h2gis.functions.io.shp.internal

Methods in org.h2gis.functions.io.shp.internal that throw ShapefileException
Modifier and Type
Method
Description
`ShapeHandler`
ShapeType.`getShapeHandler()`
Each ShapeType corresponds to a handler.
Constructors in org.h2gis.functions.io.shp.internal that throw ShapefileException
Modifier
Constructor
Description
``
`MultiLineHandler(ShapeType type)`
Create a MultiLineHandler for one of:
ShapeType.ARC,ShapeType.ARCM,ShapeType.ARCZ
``
`MultiPointHandler(ShapeType type)`
``
`PointHandler(ShapeType type)`
``
`PolygonHandler(ShapeType type)`
``
`ShapefileReader(FileChannel channel)`
Creates a new instance of ShapeFile.